local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS
local RECIPETABS = GLOBAL.RECIPETABS
local TECH = GLOBAL.TECH
local Ingredient = GLOBAL.Ingredient
local GetPlayer = GLOBAL.GetPlayer
local TUNING = GLOBAL.TUNING
local Recipe = GLOBAL.Recipe
local RECIPE_GAME_TYPE = GLOBAL.RECIPE_GAME_TYPE
local Vector3 = GLOBAL.Vector3
local Transform = GLOBAL.Transform
local SpawnPrefab = GLOBAL.SpawnPrefab
local TheSim = GLOBAL.TheSim
local RECIPE_GAME_TYPE = GLOBAL.RECIPE_GAME_TYPE
local Action = GLOBAL.Action
local ActionHandler = GLOBAL.ActionHandler
PrefabFiles =
{
"hat_plantregistry",
}
Assets =
{
Asset("ATLAS", "images/inventoryimages/hat_plantregistry.xml"),
Asset("ANIM", "anim/specialripplefx.zip"),
}
local hat_plantregistry = Recipe("hat_plantregistry", { Ingredient("fertilizer", 1), Ingredient("seeds", 3), Ingredient("transistor", 1)}, RECIPETABS.FARM, TECH.SCIENCE_TWO)
hat_plantregistry.atlas = "images/inventoryimages/hat_plantregistry.xml"
------------------增加水纹特效
if not GLOBAL.KnownModIndex:IsModEnabled("workshop-2306483636") then
	local function FloatablePostInit(floatable)-- Huge thanks to <domyslny>!!! 谢谢Gourmet Extravaganza的作者！我实在没有办法解决水纹的贴图，这帮助了我太多！！
		local _PlayWaterAnim = floatable.PlayWaterAnim
		floatable.PlayWaterAnim = function(self, ...)
			_PlayWaterAnim(self, ...)
			if self.inst and self.inst:HasTag("floatmoddedfood") and self.inst.prefab ~= nil then
				self.inst.AnimState:SetBank("specialripplefx")
				self.inst.AnimState:SetBuild("specialripplefx")
				self.inst.AnimState:PlayAnimation("idle_water", true)
				self.inst.AnimState:OverrideSymbol("swap_item", self.inst.prefab, self.inst.prefab)
			end
		end
		
		local _PlayLandAnim = floatable.PlayLandAnim
		floatable.PlayLandAnim = function(self, ...)
			if self.inst and self.inst:HasTag("floatmoddedfood") and self.inst.prefab ~= nil then
				self.inst.AnimState:SetBank(self.inst.prefab)
				self.inst.AnimState:SetBuild(self.inst.prefab)
			end
			_PlayLandAnim(self, ...)
		end
	end
	AddComponentPostInit("floatable", FloatablePostInit)
end
